<template>
    <!-- headSum -->
    <div class="WarehouseU">
        <h2 style="margin-bottom: 20px;padding-bottom:7px;border-bottom:2px solid #ddd">头部信息</h2>
        <div class="left">
            <el-form ref="form" :model="form" label-width="140px">
                <el-form-item label="容量">
                    <el-input v-model="form.capacity"></el-input>
                </el-form-item>
                <el-form-item label="使用">
                    <el-input v-model="form.used"></el-input>
                </el-form-item>
                <el-form-item label="未使用">
                    <el-input v-model="form.unused"></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button style="margin-left:60%" type="primary" @click="onSubmit">更新信息</el-button>
                </el-form-item>
            </el-form>
        </div>
    </div>
</template>

<script>
import {
    reqWarehouseU,
    reqSetWarehouseU
} from "@/api/product.js";
export default {
    name: "WarehouseU",
    data() {
        return {
            form: {
                id: "-1",
                capacity: "",
                used: "",
                unused: ""
            }
        };
    },
    created() {
        this.getWarehouseU();
    },
    methods: {
        onSubmit() {
            this.$confirm("确定更新信息？").then(() => {
                console.log(this.form);
                reqSetWarehouseU(this.form)
                    .then(res => {
                        if (res.errCode) {
                            this.$message.error(res.errMsg);
                        } else {
                            this.getWarehouseU();
                            this.$message.success("更新成功！");
                        }
                    })
                    .catch(err => {
                        console.log(err);
                        this.$message.error("更新失败！");
                    });
            });
        },
        getWarehouseU() {
            console.log("99999999")
            reqWarehouseU()
                .then(res => {
                    this.form = res.conf;
                    this.form.id = res.id;
                })
                .catch(err => {
                    console.error(err);
                });
        }
    }
};
</script>

<style lang="scss" scoped>
.WarehouseU {
    .left {
        width: 400px;
        margin-left: 50px;
    }
}
</style>